# Creates or updates a vendor SMS config

Create or update the SMS configuration for your environment.

Provide the desired SMS configuration values in the request body.

Endpoint: POST /resources/configurations/v1/sms
Version: 1.0
Security: bearer

## Security:

  - `bearer` (unknown)
    http bearer JWT

## Request fields (application/json):

  - `senderName` (string)
    The sender name will be used only when alphanumeric sender is supported in the recipient country. This is usually a phone number or the name of the sender, dependeing on what is configured on your Twilio account

  - `accountId` (string)
    account ID

  - `token` (string)
    token

  - `serviceId` (string)
    service ID

  - `provider` (string)
    provider

  - `channel` (string)
    channel

